#include <stdio.h>
#include <stdlib.h>
#include <netdb.h>
#include <arpa/inet.h>

int main( int argc, char** argv )
{
    struct hostent *hp;

    if( argc != 2 ) {
        printf( "usage: %s host\n", argv[ 0 ] );
        exit( EXIT_FAILURE );
    }

    hp = gethostbyname( argv[ 1 ] );
    if( hp == NULL) {
        printf("unknown address!\n");
        exit( EXIT_FAILURE );
    }

    printf("%s %s\n", hp->h_name, inet_ntoa( *( ( struct in_addr* ) hp->h_addr_list[ 0 ] ) ) );
    return 0;
}
